# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
dirac::StreamFrameOutput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamFrameOutput:
[legend]
Collaboration diagram for dirac::StreamFrameOutput:
[legend]

## Public Member Functions
| StreamFrameOutput (std::ostream *op_ptr, const SourceParams &sp)
virtual | ~StreamFrameOutput ()
| virtual Destructor More...
bool | WriteToNextFrame (const Picture &myframe)
| Write the next frame to the output. More...
Public Member Functions inherited from dirac::StreamPicOutput
| StreamPicOutput (std::ostream *op_ptr, const SourceParams &sp)
| Constructor. More...
virtual | ~StreamPicOutput ()
| virtual Destructor More...
virtual bool | WriteToNextFrame (const Picture &myframe)=0
| Write a picture to the next frame to be output. More...
SourceParams & | GetSourceParams ()
| Get the source parameters. More...

## Protected Member Functions
bool | WriteFrameComponent (const PicArray &pic_data, const CompSort &cs)
| Write a frame component to file. More...
Protected Member Functions inherited from dirac::StreamPicOutput
| StreamPicOutput ()
| Body-less default Constructor. More...

## Private Member Functions
| StreamFrameOutput ()
| Body-less Default Constructor. More...

## Additional Inherited Members
Protected Attributes inherited from dirac::StreamPicOutput
SourceParams | m_sparams
| Source parameters. More...
std::ostream * | m_op_pic_ptr
| Output stream. More...

## Constructor & Destructor Documentation

## ◆ StreamFrameOutput() [1/2]

dirac::StreamFrameOutput::StreamFrameOutput | ( | std::ostream * | op_ptr,
|  | const SourceParams & | sp
| ) |  |

Constructor, takes

Parameters

  op_ptr | the output stream object
  sp | the source parameters

## ◆ ~StreamFrameOutput()

virtual dirac::StreamFrameOutput::~StreamFrameOutput | ( |  | ) |
| virtual

## ◆ StreamFrameOutput() [2/2]

dirac::StreamFrameOutput::StreamFrameOutput | ( |  | ) |
| private

## Member Function Documentation

## ◆ WriteFrameComponent()

bool dirac::StreamFrameOutput::WriteFrameComponent | ( | const PicArray & | pic_data,
|  | const CompSort & | cs
| ) |  |
| protected

## ◆ WriteToNextFrame()

bool dirac::StreamFrameOutput::WriteToNextFrame | ( | const Picture & | myframe | ) |
| virtual

Implements dirac::StreamPicOutput.

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.